﻿@model Mandiri.Lelang.ViewModel.Web.AssetListingViewModel

@section socialmediameta
{
    <meta property="og:title" content="Lelang Agunan Bank Mandiri - @Model.CategoryName" />
    <meta property="og:site_name" content="Lelang Agunan Bank Mandiri" />
    <meta property="og:description" content="@Model.FacebookDescription" />
    <meta property="og:url" content="@(ViewBag.RootPath.ToString() + Request.RawUrl)"/>
    <meta property="og:image" content="@(ViewBag.RootPath.ToString() + Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 1 }))" />
}

@section head
{
    <link href="/css/ekko-lightbox.css" rel="stylesheet">
    <script type="text/javascript" src="/js/ekko-lightbox.js"></script>
    <!--<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?language=id"></script>-->
}

<div class="container">
    <ol class="breadcrumb">
        <li><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
        <li><a href="/asset/search">Daftar Agunan</a></li>
        <li><a href="#">Detil Agunan: @Model.AssetCode</a></li>
    </ol>
    <div class="col-md-12 column productboxmain">
        <div class="row clearfix">
            <div class="col-md-8 column">
                <a href="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 1 })" data-toggle="lightbox" data-title="@Model.AssetCode - Foto 1" data-type="image">
                    <img src="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 1 })" class="img-responsive" alt="@Model.AssetCode - Foto 1"></a>
                @if (!String.IsNullOrEmpty(Model.Photo2))
                {
                    <div class="col-md-2 column productboxthumb">
                        <a href="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 2, resize = 1 })" data-toggle="lightbox" data-title="@Model.AssetCode - Foto 2" data-type="image">
                            <img src="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 2 })" class="img-responsive" alt="@Model.AssetCode - Foto 2"></a>
                    </div>
                }
                @if (!String.IsNullOrEmpty(Model.Photo3))
                {
                    <div class="col-md-2 column productboxthumb">
                        <a href="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 3, resize = 1 })" data-toggle="lightbox" data-title="@Model.AssetCode - Foto 3" data-type="image">
                            <img src="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 3 })" class="img-responsive" alt="@Model.AssetCode - Foto 3"></a>
                    </div>
                }
                @if (!String.IsNullOrEmpty(Model.Photo4))
                {
                    <div class="col-md-2 column productboxthumb">
                        <a href="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 4, resize = 1 })" data-toggle="lightbox" data-title="@Model.AssetCode - Foto 4" data-type="image">
                            <img src="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 4 })" class="img-responsive" alt="@Model.AssetCode - Foto 4"></a>
                    </div>
                }
                @if (!String.IsNullOrEmpty(Model.Photo5))
                {
                    <div class="col-md-2 column productboxthumb">
                        <a href="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 5, resize = 1 })" data-toggle="lightbox" data-title="@Model.AssetCode - Foto 5" data-type="image">
                            <img src="@Url.RouteUrl("Image", new { controller = "Image", action = "Get", id = Model.AssetID, idx = 5 })" class="img-responsive" alt="@Model.AssetCode - Foto 5"></a>
                    </div>
                }
            </div>
            <div class="col-md-4 column">
                <div class="social">
                    <div class="fb-share-button" data-href="@(ViewBag.RootPath.ToString() + Request.RawUrl)" data-layout="button"></div>
                    <a class="twitter-share-button"
                        href="https://twitter.com/share" data-count="none" data-size="medium" data-text="@Model.TwitterText">Tweet
                    </a>
                    <span><a title="Share by Gmail" rel="nofollow" target="_blank" href="https://mail.google.com/mail/?view=cm&amp;fs=1&amp;to&amp;su=@Model.EmailSubject&amp;body=@Model.EmailText&amp;ui=2&amp;tf=1&amp;shva=1"><i class="fa fa-envelope-o fa-2x"></i></a>
                    </span>
                </div>
                <br />
                <h2>Kode Aset: @Model.AssetCode</h2>
                <h4><b>@Model.CategoryName</b></h4>
                <!--<span class="captionmini">@Model.PostedDateText</span>-->
                @if (!Model.IsSoldOrPaid)
                {
                    <h5><b>Lokasi</b></h5>
                    <div>
                        @Html.Raw(Model.CompleteAddress)
                    </div>
                    <br />
                    if (Model.Type == 1)
                    {
                        <div>
                            <h4><b>Nilai Jual Sukarela</b></h4>
                        </div>
                        <div class="price">@Model.NewPriceText</div>
                        <h4><span class="label label-success">Jual Sukarela</span></h4>
                    }
                    else
                    {
                        if (!String.IsNullOrEmpty(@Model.OldPriceText))
                        {
                            <span class="smallprice"><span class="strike">@Model.OldPriceText</span></span>
                        }
                        if (@Model.IsPriceCall)
                        {
                            <div>
                                <h4><b>Limit Lelang</b></h4>
                            </div>
                            <div class="price" style="color: red; font-weight: bold;">CALL</div>
                        }
                        else
                        {
                            <div>
                                <h4><b>Limit Lelang</b></h4>
                            </div>
                            <div class="price">@Model.NewPriceText
                            @if (Model.IsHotPrice)
                            {
                                <h4><span class="label label-danger">HOT PRICE</span></h4>
                            }
                            @if (Model.IsEmailAuction)
                            {
                                <h4>
                                @if (!String.IsNullOrWhiteSpace(Model.EmailAuctionURL))
                                {
                                    <a href="@Model.EmailAuctionURL" target="_blank"><span class="label label-info">Link e-Auction</span></a>                                    
                                }
                                else
                                {
                                    <span class="label label-info">Link e-Auction</span>
                                }
                                </h4>
                            }
                            <h4><span class="label label-warning">Lelang</span></h4>
                            </div>
                        }
                    }
                }
                else
                {
                    <br />
                    <div class="price" style="color: red; font-weight: bold;">CALL</div>
                }
                <br />
                <div>
                    @Html.RouteLink("Print", "Default", new { controller = "asset", action = "detail", id = Model.AssetID, print = 1 }, new { @class = "btn btn-default", target = "_blank" })
                    @if (Model.IsFavorite)
                    {
                        if (Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        {
                        <a href="#" class="unfavorite" id="unfavorite1-@Model.AssetID">
                            <img src="/img/star.png" style="width: 40px; height: 40px; margin-bottom: 5px;" alt="Unfavorite" title="Unfavorite" />
                        </a>
                        }
                        else
                        {
                        <a href="@Url.Action("login", "member")">
                            <img src="/img/star.png" style="width: 40px; height: 40px; margin-bottom: 5px;" alt="Unfavorite" title="Unfavorite" />
                        </a>
                        }
                    }
                    else
                    {
                        if (Mandiri.Lelang.Helper.SecurityHelper.IsAuthenticated())
                        {
                        <a href="#" class="favorite" id="favorite1-@Model.AssetID">
                            <img src="/img/empty-star.png" style="width: 40px; height: 40px; margin-bottom: 5px;" alt="Favorite" title="Favorite" />
                        </a>
                        }
                        else
                        {
                        <a href="@Url.Action("login", "member")">
                            <img src="/img/empty-star.png" style="width: 40px; height: 40px; margin-bottom: 5px;" alt="Favorite" title="Favorite" />
                        </a>
                        }
                    }
                    @Html.RouteLink("Anda Berminat?", "Default", new { controller = "contact", action = "contact-us" }, new { @class = "btn btn-primary" })
                </div>
            </div>
        </div>
    </div>
    @if (!Model.IsSoldOrPaid)
    {
        <div class="col-md-12 column productbox">
            <div class="row clearfix">
                <div class="col-md-12 column">
                    <ul class="nav nav-tabs">
                        <li class="active"><a href="#informasi" data-toggle="tab">Informasi</a></li>
                        <li><a href="#jadwal" data-toggle="tab">Jadwal Lelang</a></li>
                        <li><a href="#pengelola" data-toggle="tab">Pengelola</a></li>
                        <li><a href="#syarat" data-toggle="tab">Syarat &amp; Ketentuan</a></li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content">
                        <div class="tab-pane active" id="informasi">
                            <div class="tabcontent">
                                <h5><b>Dokumen</b></h5>
                                @if (!String.IsNullOrEmpty(Model.DocumentTypeName))
                                {
                                    <div>
                                        @Model.DocumentTypeName
                                    </div>
                                }
                                else
                                {
                                    <div>
                                        -
                                    </div>
                                }
                                @if (Model.OtherFields != null && Model.OtherFields.Count > 0)
                                {
                                    foreach (Mandiri.Lelang.DataModel.AssetCategoryTemplateValue field in Model.OtherFields)
                                    {
                                        if (field.Value != null && !String.IsNullOrEmpty(field.Value) && !String.IsNullOrWhiteSpace(field.Value))
                                        {
                                    <h5><b>@field.FieldName</b></h5>
                                    <div>
                                        @field.Value
                                    </div>
                                        }
                                    }
                                }
                                @if (Model.Latitude.HasValue && Model.Longitude.HasValue)
                                {
                                    <h5><b>Peta</b></h5>
                                    <div id="map-canvas" style="height: 400px; width: auto"></div>
                                }
                            </div>
                        </div>
                        <div class="tab-pane" id="jadwal">
                            <div class="tabcontent">
                                @if (!String.IsNullOrEmpty(Model.AuctionDateText) && Model.Type != 1)
                                {
                                    <h4><b>Tanggal Lelang</b></h4>
                                    <div>
                                        <h4><b>@Model.AuctionDateText</b></h4>
                                    </div>
                                    <h5><b>KPKNL - Alamat Pelaksanaan Lelang</b></h5>
                                    if (!String.IsNullOrEmpty(Model.KPKNLAddress))
                                    {
                                    <div>
                                        @if (!String.IsNullOrEmpty(Model.KPKNLName))
                                        {
                                            @Model.KPKNLName
                                            <br />
                                        }
                                        @Model.KPKNLAddress
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    <h5><b>Telepon (KPKNL)</b></h5>
                                    if (!String.IsNullOrEmpty(Model.KPKNLPhone1))
                                    {

                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.KPKNLPhone1)) -->
                                        @Model.KPKNLPhone1
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    if (!String.IsNullOrEmpty(Model.KPKNLPhone2))
                                    {

                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.KPKNLPhone2)) -->
                                        @Model.KPKNLPhone2
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    <h4><b>Balai Lelang</b></h4>
                                    if (!String.IsNullOrEmpty(Model.AuctionHallName))
                                    {
                                    <div>
                                        @Model.AuctionHallName
                                    </div>
                                    <!-- Update 11 April 2016 -->
                                    <!--<h5><b>Lokasi</b></h5>-->
                                    <h5><b>Alamat Balai Lelang</b></h5>
                                        if (!String.IsNullOrEmpty(Model.AuctionHallAddress))
                                        {
                                    <div>
                                        @Model.AuctionHallAddress
                                    </div>
                                        }
                                        else
                                        {
                                    <div>
                                        -
                                    </div>
                                        }
                                    <h5><b>Telp</b></h5>
                                        if (!String.IsNullOrEmpty(Model.AuctionHallPhone1))
                                        {
                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.AuctionHallPhone1)) -->
                                        @Model.AuctionHallPhone1
                                    </div>
                                        }
                                        else
                                        {
                                    <div>
                                        -
                                    </div>
                                        }
                                        if (!String.IsNullOrEmpty(Model.AuctionHallPhone2))
                                        {
                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.AuctionHallPhone2)) -->
                                        @Model.AuctionHallPhone2
                                    </div>
                                        }
                                        else
                                        {
                                    <div>
                                        -
                                    </div>
                                        }
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    <h4><b>Informasi</b></h4>
                                    if (!String.IsNullOrEmpty(Model.TransferInformation))
                                    {
                                    <div>
                                        <h5>@Model.TransferInformation</h5>
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                }
                                else
                                {
                                    <div>
                                        -
                                    </div>
                                }
                            </div>
                        </div>
                        <div class="tab-pane" id="pengelola">
                            <div class="tabcontent">
                                <h4><b>Dikelola Oleh</b></h4>
                                @if (!String.IsNullOrEmpty(Model.BranchName))
                                {
                                    <div>
                                        @Model.BranchName
                                    </div>
                                    <h5><b>Alamat</b></h5>
                                    if (!String.IsNullOrEmpty(Model.BranchAddress))
                                    {
                                    <div>
                                        @Model.BranchAddress
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    <h5><b>Telp</b></h5>
                                    if (!String.IsNullOrEmpty(Model.BranchPhone1))
                                    {
                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.BranchPhone1)) -->
                                        @Model.BranchPhone1
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                    if (!String.IsNullOrEmpty(Model.BranchPhone2))
                                    {
                                    <div>
                                        <!-- @Html.Raw(String.Format("<a href=\"tel:{0}\">{0}</a>", Model.BranchPhone2)) -->
                                        @Model.BranchPhone2
                                    </div>
                                    }
                                    else
                                    {
                                    <div>
                                        -
                                    </div>
                                    }
                                }
                                else
                                {
                                    <div>
                                        -
                                    </div>
                                }
                            </div>
                        </div>
                        <div class="tab-pane" id="syarat">
                            <div class="tabcontent">
                                @if (!String.IsNullOrEmpty(Model.Terms))
                                {
                                    @Html.Raw(Model.Terms)
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    }
</div>

<!-- Agunan Lain-nya -->
@if (Model.RelatedAssets != null && Model.RelatedAssets.LongCount() > 0)
{
    <div class="container">
        <div class="page-header">
            <h3>Agunan Lain-nya di @Model.CityName</h3>
        </div>
        @for (int i = 0; i < Convert.ToInt32(Math.Ceiling((double)Model.RelatedAssets.Count / 6)); i++)
        {
            <div class="row">
                @for (int j = (i * 6); j < ((i + 1) * 6); j++)
                {
                    if (j < Model.RelatedAssets.Count)
                    {
                    @Html.Partial("_AssetBox", Model.RelatedAssets[j], new ViewDataDictionary() { { "col-size", "2" } })  
                    }
                }
            </div>
        }
    </div>
}
<!-- End Agunan Lain-nya -->
<!-- Edit Style warning by khalid 06-09-2017 -->
<style>
    .label-warning {
      background-color: #FFD700;
    }
</style>
@section scripts
{
    @if (Model.Latitude.HasValue && Model.Longitude.HasValue)
    {
        <script>
            $(document).ready(function() {
                try {
                    var map;
                    var latLng = new google.maps.LatLng(@Model.Latitude.Value, @Model.Longitude.Value);
                    function initialize() {
                        var mapOptions = {
                            zoom: 8,
                            center: latLng
                        };
                        map = new google.maps.Map(document.getElementById('map-canvas'),
                            mapOptions);

                        var marker = new google.maps.Marker({
                            position: latLng,
                            map: map,
                            title: "@Model.CompleteAddressText"
                        });
                    }

                    google.maps.event.addDomListener(window, 'load', initialize);
                } catch(e) {
                }
            });
        </script>
    }
}